<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-users%3APOST</id>
		<title>Accounts-accountId-users:POST - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-users%3APOST"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-users:POST&amp;action=history"/>
		<updated>2026-05-04T17:42:43Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-users:POST&amp;diff=1127&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 90</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-users:POST&amp;diff=1127&amp;oldid=prev"/>
				<updated>2014-01-31T18:23:37Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 90&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:23, 31 January 2014&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-users:POST&amp;diff=1126&amp;oldid=prev</id>
		<title>Dinh.anh: /* Parameters */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-users:POST&amp;diff=1126&amp;oldid=prev"/>
				<updated>2013-11-14T15:20:57Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Parameters&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= POST /accounts/{accountId}/users =&lt;br /&gt;
Create a new user under an account&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /accounts/{accountId}/users&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
;accountId&lt;br /&gt;
: The ID of the account&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;userName&amp;quot;: &amp;quot;{userName}&amp;quot;,&lt;br /&gt;
  &amp;quot;password&amp;quot;: &amp;quot;{password}&amp;quot;,&lt;br /&gt;
  &amp;quot;securityQuestion&amp;quot;: &amp;quot;{securityQuestionCode}&amp;quot;,&lt;br /&gt;
  &amp;quot;securityAnswer&amp;quot;: &amp;quot;{securityAnswer}&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
;userName&lt;br /&gt;
: ''Required.'' A name for the user that's about to be created. This needs to be unique within the entire security realm (not just within the account).&lt;br /&gt;
;password&lt;br /&gt;
: ''Required.'' A password for the user. This needs to be between 8 and 50 characters long inclusive, must contain at least one alpha ''and'' at least one numeric character, and must not contain any of the following characters: &amp;amp; ` ' &amp;quot; \ / &amp;lt; &amp;gt; $&lt;br /&gt;
;securityQuestionCode&lt;br /&gt;
: ''Required.'' The reference code for a question that the user can use to recover the password in case (s)he forgot it. This must be selected from a pre-approved list of questions.&lt;br /&gt;
;securityAnswer&lt;br /&gt;
: ''Required.'' An answer to the security question. If the user provides the correct answer during password recovery, the password will be reset and (s)he will be allowed to access the account. The API will automatically normalize the security answer by removing starting and ending spaces, lowercase the security answer and replace each sequence of whitespaces with just one single space character.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;201 Created&lt;br /&gt;
: The user was successfully created&lt;br /&gt;
;400 Bad Request&lt;br /&gt;
: The request body was missing a required field or one of the fields did not comply with the requirements (in this case, the response body will contain hints for what went wrong)&lt;br /&gt;
;401 Unauthorized&lt;br /&gt;
: Authentication failed&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: Authentication succeeded, but the logged-in user is not allowed to create users in this account. The only users allowed to create users in this account are sales agents and account owners of ''this'' account. An account owner is any account user with the &amp;quot;sitecontrol_account_owner&amp;quot; role.&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The account does not exist&lt;br /&gt;
;409 Conflict&lt;br /&gt;
: The user cannot be created because another user exists with the same username.&lt;br /&gt;
&lt;br /&gt;
=== Response Headers ===&lt;br /&gt;
;Location&lt;br /&gt;
: The URI for the newly created user&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
None&lt;br /&gt;
&lt;br /&gt;
== Allowed Security Questions ==&lt;br /&gt;
&lt;br /&gt;
TBD&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Dinh.anh</name></author>	</entry>

	</feed>